<template>
  <div v-if="data" class="user" :class="{ small: type == 'small' }">
    <div class="user__left">
      <div>
        <div class="user__avatar" :to="localePath(`/users/${data.username}`)">
          <Avatar class="user__avatar-photo" :user="data" />
          <div>
            <div class="user__username">{{ data.display_name }}</div>
            <div class="user__slogan">{{ data.slogan }}</div>
          </div>
        </div>
        <div class="user__stats">
          <nuxt-link :to="localePath(`/users/${data.username}`)" class="item">
            <div class="content">
              <div class="value">0%</div>
              <div class="label">Good reviews</div>
            </div>
          </nuxt-link>
          <div
            v-if="
              data.in_favorites_aggregate &&
              data.in_favorites_aggregate.aggregate
            "
            @click="addToFavorite"
            class="item"
            v-wave
          >
            <div class="content">
              <div class="value">
                {{ data.in_favorites_aggregate.aggregate.count }}
              </div>
              <div class="label">Likes</div>
            </div>
            <div class="icon">
              <svg-icon name="like" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@nuxtjs/composition-api'
import Button from '@/components/ui/Button.vue'
import Avatar from '@/components/ui/Avatar.vue'

export default defineComponent({
  props: ['data', 'type'],
  components: { Button, Avatar },
  setup(props, { root }) {
    const addToFavorite = () => {}
    return {
      addToFavorite
    }
  }
})
</script>

<style lang="scss" scoped>
.user {
  display: grid;
  grid-template-columns: 1fr;
  $user: &;
  &:last-child {
    margin-bottom: 75px;
  }
  @media (min-width: 991.98px) {
    grid-template-columns: 380px 1fr;
    grid-gap: 20px;
    margin-bottom: 45px;
    &:last-child {
      margin-bottom: 0px;
    }
  }
  @media (min-width: 1199.98px) {
    grid-template-columns: 470px 1fr;
    grid-gap: 15px;
    margin-bottom: 85px;
  }

  &__left {
    order: 2;
    margin: 15px;
    background: #272c3b;
    border-radius: 12px;
  }
  &__avatar {
    display: flex;
    align-items: center;
    font-size: 0px;
    padding: 12px 15px;
    @media (min-width: 991.98px) {
      margin-bottom: 30px;
      padding: 0px;
      &:last-child {
        margin-bottom: 0px;
      }
    }
    & > * {
      flex: 1;
    }
    &-photo {
      flex: none;
      margin-right: 10px;
      height: 42px;
      width: 42px;
      @media (min-width: 991.98px) {
        margin-right: 20px;
        height: 60px;
        width: 60px;
      }
    }
    svg {
      width: 32px;
      height: 32px;
      border: 2px solid #7683ad;
      border-radius: 50%;
      fill: #ffffff;
      padding: 8px;
      flex: none;
      margin-left: 15px;
      display: block;
      @media (min-width: 991.98px) {
        display: none;
      }
    }
  }
  &__username {
    letter-spacing: 0px;
    color: #ffffff;
    font-size: 18px;
    line-height: 18px;
    font-weight: 500;
    margin-bottom: 2px;
    @media (min-width: 991.98px) {
      font-size: 24px;
      line-height: 30px;
    }
  }
  &__slogan {
    letter-spacing: 0px;
    color: #7683ad;
    font-size: 14px;
    line-height: 14px;
    font-weight: 500;
    @media (min-width: 991.98px) {
      font-size: 18px;
      line-height: 18px;
    }
  }
  &__stats {
    display: none;
    margin-bottom: 35px;
    &:last-child {
      margin-bottom: 0px;
    }
    @media (min-width: 991.98px) {
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-gap: 8px;
    }
    .item {
      background: #384057;
      border-radius: 12px;
      padding: 10px 15px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      &:last-child {
        margin-right: 0px;
      }
      .content {
        flex: 1;
        padding-right: 15px;
        &:last-child {
          padding-right: 0px;
        }
      }
      .value {
        display: block;
        color: #ffffff;
        font-weight: bold;
        font-size: 24px;
        line-height: 30px;
      }
      .label {
        display: block;
        letter-spacing: 0px;
        color: #7683ad;
        font-weight: 500;
        font-size: 16px;
        line-height: 20px;
      }
      .icon {
        flex: none;
        overflow: hidden;
        font-size: 0px;
        svg {
          background: #454e6a;
          width: 50px;
          height: 50px;
          padding: 15px;
          border-radius: 50%;
          fill: #fff;
          &.is-active {
            fill: #f00;
          }
        }
      }
    }
  }
  &__links {
    display: none;
    @media (min-width: 991.98px) {
      display: grid;
      grid-template-columns: 1fr 0.8fr;
      grid-gap: 8px;
    }
    > * {
      @media (min-width: 1199.98px) {
        white-space: nowrap;
        &:last-child {
          margin-right: 0px;
        }
      }
    }
  }
  &.is-active {
    background-color: #2f3546;
  }
  &.small {
    margin-bottom: 0px;
    border-bottom: 2px solid #1f232f;
    grid-template-columns: 1fr;
    min-width: 320px;
    cursor: pointer;
    #{ $user }__avatar {
      &-photo {
        width: 55px;
        height: 55px;
        margin-right: 15px;
      }
    }
    #{ $user }__username {
      font-size: 22px;
      line-height: 22px;
    }
    #{ $user }__slogan {
      font-size: 16px;
      line-height: 18px;
    }
    #{ $user }__left {
      margin: 0;
      padding: 20px;
      border-radius: 0px;
      background: 0;
    }
  }
}
</style>
